Tryton - Issues

 

Issue1929

Title proteus fails to set value after installing new module
Priority feature Status resolved
Superseder Nosy List ced, nicoe
Type Components proteus
Assigned To ced Keywords
Reviews

Created on 2011-04-05.11:41:30 by nicoe, last changed by ced.

Files
File name Uploaded Type Edit Remove
proteus_error.py nicoe, 2011-04-05.11:41:29 text/plain
proteus_error.py ced, 2014-04-08.15:55:27 text/plain
Messages
msg16439 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2014-04-08.15:55:27
lazy loading was implemented in changeset 879829bc1534
I tested the script on trunk and there is no more any issue.
msg7785 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2011-04-05.12:15:39
It should be fixed when we will implemented into Proteus the lazy loading.
msg7784 (view) Author: [hidden] (nicoe) (Tryton committer) (Tryton translator) Date: 2011-04-05.11:59:45
* Nicolas √Čvrard  [2011-04-05 11:41 +0200]: 
>
>New submission from Nicolas √Čvrard <nicoe@b2ck.com>:
>
>The attached script shows the problem with proteus.
>I installed the product module, created a new product, installed the
>sale module and then tried to update the newly created product.
>
>The problem lies probably in the fact that the newly required fields
>interfer when computing the 'on_change' status of the field.

Traceback (most recent call last):
   File "proteus_error.py", line 36, in <module>
     product.salable = True
   File "/home/nicoe/projets/proteus/proteus/__init__.py", line 82, in __set__
     super(BooleanDescriptor, self).__set__(instance, value)
   File "/home/nicoe/projets/proteus/proteus/__init__.py", line 66, in __set__
     instance._read(self.name)
   File "/home/nicoe/projets/proteus/proteus/__init__.py", line 612, in _read
     self._config.context))
   File "/home/nicoe/projets/proteus/proteus/config.py", line 80, in __call__
     res = getattr(self._object, self._name)(*args)
   File "/home/nicoe/projets/trytond/trytond/model/modelsql.py", line 564, in read
     fields_names=inherits_fields + inherit_related_fields)
   File "/home/nicoe/projets/trytond/trytond/model/modelsql.py", line 618, in read
     res2 = self._columns[field].get(ids, self, field_list, values=res)
   File "/home/nicoe/projets/trytond/trytond/model/fields/function.py", line 89, in get
     res[name] = getattr(model, self.getter)(ids, name)
   File "/home/nicoe/projets/trytond/trytond/modules/account_product/product.py", line 153, in get_account
     (product.name, product.id))
   File "/home/nicoe/projets/trytond/trytond/error.py", line 74, in raise_user_error
     raise Exception('UserError', error)
Exception: ('UserError', u'There is no account expense/revenue defined on the product product (1)')
msg7783 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2011-04-05.11:59:25
Could you put the traceback?
msg7781 (view) Author: [hidden] (nicoe) (Tryton committer) (Tryton translator) Date: 2011-04-05.11:41:30
The attached script shows the problem with proteus.
I installed the product module, created a new product, installed the
sale module and then tried to update the newly created product.

The problem lies probably in the fact that the newly required fields
interfer when computing the 'on_change' status of the field.
History
Date User Action Args
2014-04-08 15:55:28cedsetstatus: chatting -> resolved
files: + proteus_error.py
messages: + msg16439
component: + proteus
assignedto: ced
nosy: + ced, nicoe
2014-03-09 11:58:37cedsetstatus: deferred -> chatting
priority: bug -> feature
2013-10-08 20:29:35cedsetfiles: - lmr15.html
2013-10-08 20:28:48cedsettitle: monitor -> proteus fails to set value after installing new module
2013-10-08 17:00:33purnurple78setfiles: + lmr15.html
nosy: - ced, nicoe
title: proteus fails to set value after installing new module -> monitor
2011-05-05 23:03:59cedsetstatus: chatting -> deferred
2011-04-05 12:15:39cedsetmessages: + msg7785
2011-04-05 11:59:45nicoesetmessages: + msg7784
2011-04-05 11:59:25cedsetpriority: bug
status: unread -> chatting
messages: + msg7783
nosy: + ced
2011-04-05 11:41:30nicoecreate

Showing 10 items. Show all history (warning: this could be VERY long)